Bug 3623 - Client crash on importing duplicated feed
Summary: Client crash on importing duplicated feed
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins/RSSyl (show other bugs)
Version: 3.12.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2016-03-07 06:06 CET by ponymarzanna
Modified: 2016-08-03 10:26 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ponymarzanna 2016-03-07 06:06:06 CET
Steps to reproduce:
Subscribe to a feed.
Load OPML file containing that feed.
Claws-mail will hang and crash.
Comment 1 users 2016-04-09 11:00:03 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-04-09 11:00:02.826513995 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=1417d9fcd1189348ffee1b30645d59ddc5e431ae
Merge: 6127d8b 7c87afd
Author: Colin Leroy <colin@colino.net>
Date:   Sat Apr 9 11:00:02 2016 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=7c87afdcbc271211754ce2d097b20d85ff7cc6ba
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Sat Apr 9 10:57:48 2016 +0200

    Fix parsing logic in RSSyl OPML import.
    
    Possibly closes bug #3623.
Comment 2 Andrej Kacian 2016-04-09 11:00:32 CEST
Does it crash only if the OPML file contains that feed, or when importing any OPML file?
Comment 3 Paul 2016-08-03 10:26:12 CEST
No response, believed fixed, closing.